/*
 CSS for the main interaction
*/
.tabset > input[type="radio"] {
    position: absolute;
    left: -200vw;
}

.tabset .tab-panel {
    display: none;
}

.tabset > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
.tabset > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
.tabset > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
.tabset > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
.tabset > input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
.tabset > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6),
.tabset > input:nth-child(13):checked ~ .tab-panels > .tab-panel:nth-child(7),
.tabset > input:nth-child(15):checked ~ .tab-panels > .tab-panel:nth-child(8) {
    display: block;
}

/*
 Styling
*/
body {
    font: 16px/1.5em "Overpass", "Open Sans", Helvetica, sans-serif;
    color: #333;
    font-weight: 300;
}

.tabset > label {
    position: relative;
    display: inline-block;
    padding: 15px 15px 25px;
    border: 1px solid transparent;
    border-bottom: 0;
    cursor: pointer;
    font-weight: 600;
    font-size: 1.5em;
}

.tabset > label::after {
    content: "";
    position: absolute;
    left: 15px;
    bottom: 10px;
    width: 22px;
    height: 4px;
    background: #eb8989;
}

input:focus-visible + label {
    outline: 2px solid rgba(0, 102, 204, 1);
    border-radius: 3px;
}

.tabset > label:hover,
.tabset > input:focus + label,
.tabset > input:checked + label {
    color: #06c;
}

.tabset > label:hover::after,
.tabset > input:focus + label::after,
.tabset > input:checked + label::after {
    background: #06c;
}

.tabset > input:checked + label {
    border-color: #ccc;
    border-bottom: 1px solid #fff;
    margin-bottom: -1px;
    background: #99fac6;
}

.tab-panel {
    padding: 30px 0;
    border-top: 1px solid #ccc;
}

/*
 Demo purposes only
*/
*,
*:before,
*:after {
    box-sizing: border-box;
}

body {
    padding: 30px;
}

.tabset {
    max-width: 65em;
}

.fnt {
    font-size: 1.5em;
    line-height: 1.5;
    margin-bottom: 1.5em;
}

h1 {
    font-size: 2.5em;
    line-height: 1.5;
    margin-bottom: 0.75em;
}

h2 {
    font-size: 1.5em;
    line-height: 1;
    margin-bottom: 1em;
}

h3 {
    font-size: 1em;
    line-height: 1.5;
    margin-bottom: 1.5em;
}

p {
    margin-bottom: 1.5em;
}

.logo {
    color: #fff;
    display: block;
    font-size: 3em;
    text-align: center;
    height: 1.5em;
    text-shadow: 0.05em 0.05em 0 hsla(0, 0%, 0%, 0.4);
}

header {
    background-color: #f44;
    display: flex;
    flex-direction: column;
    align-content: flex-end;
    align-items: center;
    justify-content: space-between;
    padding-top: 1.5em;
}

.menu {
    background-color: #fff;
    border-radius: 0.375em 0.375em 0 0;
    box-shadow: 0 -0.2em 0.2em #ccc inset;
    color: #f44;
    display: block;
    font-weight: bold;
    padding: 0.75em;
    transition: color 0.2s;
}

.font01 {
    font-size: 1em;
    font-weight: bold;
}
